declare const useConvoStack: () => {
    context: {
        [key: string]: string;
    } | null;
    data: any;
    embedData: {
        [embedId: string]: any;
    };
    isWidgetWindowVisible: boolean;
    isConversationListVisible: boolean;
    isEmbedConversationListVisible: {
        [embedId: string]: boolean;
    };
    activeConversationId: string | null;
    embedActiveConversationId: {
        [embedId: string]: string | null;
    };
    toggleWidgetWindow: (arg: boolean) => void;
    openConversation: (conversationId: string | null, agent?: string | null, context?: {
        [embedId: string]: string;
    } | null | undefined, embedId?: string) => Promise<string>;
    openConversationList: (embedId?: string) => void;
    updateContext: (conversationId: string, context: {
        [key: string]: string;
    }) => Promise<void>;
    dropSubscription: (embedId?: string) => void;
    sendMessage: (message: string, conversationId: string | null, agent?: string, newContext?: {
        [key: string]: string;
    } | undefined) => Promise<void>;
};
export default useConvoStack;
